package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.executePlan.db.entity.AtuPlanBatch;
import net.northking.cctp.executePlan.db.entity.AtuPlanTask;

import java.util.List;
import java.util.Map;

public class AtuPlanBatchReportDto {
    @ApiModelProperty("批次信息")
    private AtuPlanBatch planBatch;

    @ApiModelProperty("失败执行任务")
    private List<AtuPlanTask> taskList;

    @ApiModelProperty("饼图数据")
    private Map<String,Object> tableData;

    public AtuPlanBatch getPlanBatch() {
        return planBatch;
    }

    public void setPlanBatch(AtuPlanBatch planBatch) {
        this.planBatch = planBatch;
    }

    public List<AtuPlanTask> getTaskList() {
        return taskList;
    }

    public void setTaskList(List<AtuPlanTask> taskList) {
        this.taskList = taskList;
    }

    public Map<String, Object> getTableData() {
        return tableData;
    }

    public void setTableData(Map<String, Object> tableData) {
        this.tableData = tableData;
    }
}
